      program real_randoms

      parameter (N=100)

      double precision A(N), HA(N)
cmf$  layout HA(:HOST)

      print *, 'Get ',N,' random numbers (double precision) from 0 to 1'

      call cmf_random (A)

      HA = A

      print 10, HA
  10  FORMAT (4F20.15)

      end
